Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Interface TCPIPServerSocketInfoInterface

All Known Implementing Classes:
  TCPIPServerSocketInfo

    public interface TCPIPServerSocketInfoInterface

This class represents TCPIP ServerSocket configuration information. Basically, it represents the options of java ServerSocket and Socket. Note: Once the ServerSocket connection is established, the port and socketFactoryImplClassName are not allowed to change.

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2008/04/23 07:15:26 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Method Summary
`int` | `getBacklog()` Returns the backlog which is the maximum length of the queue.
`TCPIPSocketEstablishmentInfoInterface` | `getClientConnectionEstablishmentInfo()`
`java.lang.String` | `getConnectionType()`
`boolean` | `getCreateConnection()` Returns the createConnection setting (true or false).
`java.lang.String` | `getHost()` Returns the host.
`TCPIPServerConnectionManagementInfoInterface` | `getInboundConnectionManagementInfo()`
`java.lang.String` | `getInboundTriggerEvent()`
`int` | `getReceiveBufferSize()` Returns the receiveBufferSize.
`int` | `getSendBufferSize()` Returns the sendBufferSize.
`int` | `getServerPort()` Returns the serverPort.
`TCPIPServerPortBindingInfoInterface` | `getServerPortBindingInfo()`
`java.lang.String` | `getServerSocketFactoryImplClassName()` Returns the serverSocketFactoryImplClassName.
`int` | `getServerSoTimeout()` Returns the server soTimeout.
`java.lang.String` | `getServerWelcomeMessage()`
`int` | `getSoLingerTimeout()` Returns the soLingerTimeout.
`int` | `getSoTimeout()` Returns the soTimeout.
`boolean` | `isClientConnectionType()`
`boolean` | `isKeepAlive()` Checks whether the keepAlive option is on.
`boolean` | `isOnConnectionInboundTriggerEvent()`
`boolean` | `isOnMessageInboundTriggerEvent()`
`boolean` | `isServerConnectionType()`
`boolean` | `isSoLinger()` Checks whether the SoLinger option is on.
`boolean` | `isTcpNoDelay()` Checks whether the TcpNoDelay option is on.
`void` | `setKeepAlive(boolean keepAlive)` Sets the keepAlive.
`void` | `setReceiveBufferSize(int receiveBufferSize)` Sets the receiveBufferSize.
`void` | `setSendBufferSize(int sendBufferSize)` Sets the sendBufferSize.
`void` | `setServerSocketFactoryImplClassName(java.lang.String serverSocketFactoryImplClassName)` Sets the serverSocketFactoryImplClassName.
`void` | `setServerSoTimeout(int soTimeout)` Sets the server soTimeout.
`void` | `setSoLinger(boolean soLinger)` Sets the soLinger.
`void` | `setSoLingerTimeout(int soLingerTimeout)` Sets the soLingerTimeout.
`void` | `setSoTimeout(int soTimeout)` Sets the soTimeout.
`void` | `setTcpNoDelay(boolean tcpNoDelay)` Sets the tcpNoDelay.

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getConnectionType

    java.lang.String getConnectionType()

  Returns:
    String

### isServerConnectionType

    boolean isServerConnectionType()

  Returns:
    boolean

### isClientConnectionType

    boolean isClientConnectionType()

  Returns:
    boolean

### getInboundTriggerEvent

    java.lang.String getInboundTriggerEvent()

  Returns:
    String

### isOnConnectionInboundTriggerEvent

    boolean isOnConnectionInboundTriggerEvent()

  Returns:
    boolean

### isOnMessageInboundTriggerEvent

    boolean isOnMessageInboundTriggerEvent()

  Returns:
    boolean

### getServerWelcomeMessage

    java.lang.String getServerWelcomeMessage()

  Returns:
    String

### getHost

    java.lang.String getHost()

  Returns the host. It is for inbound client.

  Returns:
    The host.

### getServerPort

    int getServerPort()

  Returns the serverPort.

  Returns:
    The serverPort.

### getBacklog

    int getBacklog()

  Returns the backlog which is the maximum length of the queue.

  Returns:
    The backlog.

### getServerSoTimeout

    int getServerSoTimeout()

  Returns the server soTimeout.

  Returns:
    The server soTimeout.

### isKeepAlive

    boolean isKeepAlive()

  Checks whether the keepAlive option is on.

  Returns:
    boolean

### getReceiveBufferSize

    int getReceiveBufferSize()

  Returns the receiveBufferSize.

  Returns:
    The receive buffer size

### getSendBufferSize

    int getSendBufferSize()

  Returns the sendBufferSize.

  Returns:
    The send buffer size.

### isSoLinger

    boolean isSoLinger()

  Checks whether the SoLinger option is on.

  Returns:
    boolean

### getSoLingerTimeout

    int getSoLingerTimeout()

  Returns the soLingerTimeout.

  Returns:
    The soLinger timeout

### getSoTimeout

    int getSoTimeout()

  Returns the soTimeout.

  Returns:
    The soTimeout.

### isTcpNoDelay

    boolean isTcpNoDelay()

  Checks whether the TcpNoDelay option is on.

  Returns:
    boolean

### getServerSocketFactoryImplClassName

    java.lang.String getServerSocketFactoryImplClassName()

  Returns the serverSocketFactoryImplClassName.

  Returns:
    String

### setServerSoTimeout

    void setServerSoTimeout(int soTimeout)
                            throws TCPIPApplicationException,
                                   java.io.IOException

  Sets the server soTimeout.

  Parameters:
    `soTimeout` - The server soTimeout to set
  Throws:
    `TCPIPApplicationException` - on error
    `java.io.IOException` - on i/o error.

### setKeepAlive

    void setKeepAlive(boolean keepAlive)
                      throws java.io.IOException

  Sets the keepAlive.

  Parameters:
    `keepAlive` - The keepAlive to set
  Throws:
    `java.io.IOException` - on i/o error.

### setReceiveBufferSize

    void setReceiveBufferSize(int receiveBufferSize)
                              throws TCPIPApplicationException,
                                     java.io.IOException

  Sets the receiveBufferSize.

  Parameters:
    `receiveBufferSize` - The receiveBufferSize to set
  Throws:
    `TCPIPApplicationException` - on error
    `java.io.IOException` - on i/o error.

### setSendBufferSize

    void setSendBufferSize(int sendBufferSize)
                           throws TCPIPApplicationException,
                                  java.io.IOException

  Sets the sendBufferSize.

  Parameters:
    `sendBufferSize` - The sendBufferSize to set
  Throws:
    `TCPIPApplicationException` - on error
    `java.io.IOException` - on i/o error.

### setSoLinger

    void setSoLinger(boolean soLinger)
                     throws java.io.IOException

  Sets the soLinger.

  Parameters:
    `soLinger` - The soLinger to set
  Throws:
    `java.io.IOException` - on i/o error.

### setSoLingerTimeout

    void setSoLingerTimeout(int soLingerTimeout)
                            throws java.io.IOException

  Sets the soLingerTimeout.

  Parameters:
    `soLingerTimeout` - The soLingerTimeout to set
  Throws:
    `java.io.IOException` - on i/o error.

### setSoTimeout

    void setSoTimeout(int soTimeout)
                      throws TCPIPApplicationException,
                             java.io.IOException

  Sets the soTimeout.

  Parameters:
    `soTimeout` - The soTimeout to set
  Throws:
    `TCPIPApplicationException` - on error
    `java.io.IOException` - on i/o error.

### setTcpNoDelay

    void setTcpNoDelay(boolean tcpNoDelay)
                       throws java.io.IOException

  Sets the tcpNoDelay.

  Parameters:
    `tcpNoDelay` - The tcpNoDelay to set
  Throws:
    `java.io.IOException` - on i/o error.

### getCreateConnection

    boolean getCreateConnection()

  Returns the createConnection setting (true or false).

  Returns:
    The createConnection flag.

### setServerSocketFactoryImplClassName

    void setServerSocketFactoryImplClassName(java.lang.String serverSocketFactoryImplClassName)
                                             throws TCPIPApplicationException

  Sets the serverSocketFactoryImplClassName.

  Parameters:
    `serverSocketFactoryImplClassName` - The serverSocketFactoryImplClassName to set
  Throws:
    `TCPIPApplicationException` - on error

### getServerPortBindingInfo

    TCPIPServerPortBindingInfoInterface getServerPortBindingInfo()

  Returns:
    TCPIPServerPortBindingInfoInterface

### getInboundConnectionManagementInfo

    TCPIPServerConnectionManagementInfoInterface getInboundConnectionManagementInfo()

  Returns:
    TCPIPServerConnectionManagementInfoInterface

### getClientConnectionEstablishmentInfo

    TCPIPSocketEstablishmentInfoInterface getClientConnectionEstablishmentInfo()

  Returns:
    TCPIPSocketEstablishmentInfoInterface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD